Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.image.chart
Class VerticalChart

    java.lang.Object
      org.hyperic.image.WebImage
          org.hyperic.image.chart.Chart
              org.hyperic.image.chart.VerticalChart

Direct Known Subclasses:
  ColumnChart, LineChart

    public class VerticalChart

extends Chart

Field Summary
`protected static java.awt.Color` | `DANGER_COLOR`
`protected static java.awt.Color` | `DEFAULT_COLOR`
`protected static java.awt.Color` | `GOOD_COLOR`
`protected static java.awt.Color` | `UNKNOWN_COLOR`

Fields inherited from class org.hyperic.image.chart.Chart
`ARG_MUST_BE_ZERO_OR_GREATER, averageLineColor, AVG, baseline, BASELINE, baselineColor, ceiling, chartColor, DEFAULT_LABEL_FONT, DEFAULT_LEGEND_FONT, DEFAULT_LEGEND_PLAIN, DEFAULT_UNIT_LEGEND, DEFAULT_VALUE_LEGEND, EMPTY_STRING, floor, highRange, highRangeColor, legendFont, legendTextColor, lineWidth, LOW, lowLineColor, lowRange, lowRangeColor, m_adRangeMarks, m_bNoData, m_dAvgValue, m_dLowValue, m_dPeakValue, m_floor, m_fmtScale, m_fmtType, m_metricsLabel, m_metricsLegend, PEAK, peakLineColor, rightLabelWidth, showAverage, showBaseline, showBottomLabels, showBottomLegend, showEvents, showFullLabels, showHighRange, showLeftLabels, showLeftLegend, showLow, showLowRange, showPeak, showRightLabels, showRightLegend, showTopLabels, showTopLegend, showUnitLines, showValueLines, showValues, textWhitespace, tickMarkHeight, valueIndent, valueLines, VARIABLE_HEIGHT, VARIABLE_WIDTH, x2VertLabels, x2VertMarks, xLabelsSkip, xLineColor, xOffset, xRLabel, xVertLegend, xVertMarks, yBottomLegend, yHorzLabels, yOffset, yTopLegend`

Fields inherited from class org.hyperic.image.WebImage
`antiAliased, ARG_CANNOT_BE_NULL, backgroundColor, bottomBorder, DEFAULT_BACKGROUND_COLOR, DEFAULT_BOLD_TYPEFACE, DEFAULT_BORDER_COLOR, DEFAULT_BORDER_SIZE, DEFAULT_FONT, DEFAULT_FONT_METRICS, DEFAULT_HEIGHT, DEFAULT_PLAIN_TYPEFACE, DEFAULT_SHADOW_WIDTH, DEFAULT_WIDTH, font, frameImage, height, indexColors, leftBorder, m_graphics, rightBorder, shadowWidth, SMALL_FONT, textColor, topBorder, width`

Constructor Summary
`` | `VerticalChart()`
`protected` | `VerticalChart(int charts)`
`protected` | `VerticalChart(int width, int height)`
`protected` | `VerticalChart(int width, int height, int charts)`

Method Summary
`protected java.awt.Point` | `adjustBorders(java.awt.Point pt)`
`protected java.awt.Rectangle` | `adjustRectangle(java.awt.Graphics2D g, java.awt.Rectangle rect)` Give the child class an opportunity to change the size of the interior rectangle.
`protected java.awt.Rectangle` | `draw(ChartGraphics g)`
`protected int` | `findDataPointIndex(long timestamp, DataPointCollection coll)`
`int` | `getCumulativeTrend()`
`protected java.awt.Point` | `getDataPoint(java.awt.Rectangle rect, int datapoint)`
`protected java.awt.Point` | `getDataPoint(java.awt.Rectangle rect, int datapoint, DataPointCollection coll)`
`protected int[]` | `getDataPointEventIndexes(int dataSetNumber)`
`protected java.awt.Rectangle` | `getInteriorRectangle(ChartGraphics g)`
`protected java.lang.String[]` | `getXLabels()`
`protected int[]` | `getXPoints(ChartGraphics g, java.awt.Rectangle rect)`
`protected int` | `getYLabelWidth(java.awt.Graphics2D g)` Calculates the label width of the vertical axis of the chart.
`protected void` | `init()`
`protected java.util.Collection` | `initData(java.util.Collection coll)`
`protected void` | `paint(ChartGraphics graph, java.awt.Rectangle rect)`
`void` | `setCumulativeTrend(int trend)`
`protected void` | `setTimeScale(long scale)`

Methods inherited from class org.hyperic.image.chart.Chart
`calc, calcRanges, calcVariableHeight, calcVariableWidth, checkHighLow, draw, getAverageValue, getDataCollectionClass, getDataPoint, getDataPoints, getDataPoints, getDataSetCount, getDataSetIterator, getDisplayPoint, getEventPoints, getEventPoints, getEventSetIterator, getExteriorHeight, getExteriorRectangle, getLowValue, getNoDataString, getPeakValue, getTitle, getUnitLabel, getUnitLegend, getValueLegend, getXLabelHeight, getXLabelWidth, getXLegendHeight, hasData, initFonts, postInit, preInit, scale, setAbsTimeLabels, setFormat, setNoDataString, setNumberDataSets, setTitle, setUnitLegend, setValueLegend`

Methods inherited from class org.hyperic.image.WebImage
`getFontMetrics, getImage, getTextCenter, getTextCenter, getTextCenter, isRunnable, setBorder, writeJpegImage, writeJpegImage, writePngImage, writePngImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_COLOR

    protected static final java.awt.Color DEFAULT_COLOR

### GOOD_COLOR

    protected static final java.awt.Color GOOD_COLOR

### DANGER_COLOR

    protected static final java.awt.Color DANGER_COLOR

### UNKNOWN_COLOR

    protected static final java.awt.Color UNKNOWN_COLOR

Constructor Detail

### VerticalChart

    public VerticalChart()

### VerticalChart

    protected VerticalChart(int width,
                            int height)

### VerticalChart

    protected VerticalChart(int charts)

### VerticalChart

    protected VerticalChart(int width,
                            int height,
                            int charts)

Method Detail

### getCumulativeTrend

    public int getCumulativeTrend()

### setCumulativeTrend

    public void setCumulativeTrend(int trend)

### init

    protected void init()

### initData

    protected java.util.Collection initData(java.util.Collection coll)

  Overrides:
    `initData` in class `Chart`

### adjustBorders

    protected java.awt.Point adjustBorders(java.awt.Point pt)

### adjustRectangle

    protected java.awt.Rectangle adjustRectangle(java.awt.Graphics2D g,
                                                 java.awt.Rectangle rect)

  Description copied from class: `Chart`
  Give the child class an opportunity to change the size of the interior rectangle. This is done to make the tick marks fit symetrically in the chart rectangle.

  Overrides:
    `adjustRectangle` in class `Chart`

### getInteriorRectangle

    protected java.awt.Rectangle getInteriorRectangle(ChartGraphics g)

  Specified by:
    `getInteriorRectangle` in class `Chart`

### getXLabels

    protected java.lang.String[] getXLabels()

  Specified by:
    `getXLabels` in class `Chart`

### getXPoints

    protected int[] getXPoints(ChartGraphics g,
                               java.awt.Rectangle rect)

### getYLabelWidth

    protected int getYLabelWidth(java.awt.Graphics2D g)

  Description copied from class: `Chart`
  Calculates the label width of the vertical axis of the chart.

  Specified by:
    `getYLabelWidth` in class `Chart`
  Returns:
    The width of the widest label on the Y (vertical) axis.

### draw

    protected java.awt.Rectangle draw(ChartGraphics g)

  Overrides:
    `draw` in class `Chart`

### paint

    protected void paint(ChartGraphics graph,
                         java.awt.Rectangle rect)

### getDataPointEventIndexes

    protected int[] getDataPointEventIndexes(int dataSetNumber)

### getDataPoint

    protected java.awt.Point getDataPoint(java.awt.Rectangle rect,
                                          int datapoint)

### getDataPoint

    protected java.awt.Point getDataPoint(java.awt.Rectangle rect,
                                          int datapoint,
                                          DataPointCollection coll)

### setTimeScale

    protected void setTimeScale(long scale)

### findDataPointIndex

    protected int findDataPointIndex(long timestamp,
                                     DataPointCollection coll)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.